API referenceModeration
Your own record in a server, for appeals.
GET
/api/v1/record/{guild}Authorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/record/string"{ "server": { "id": "string", "name": "string", "icon": "string", "installed": true, "manage": true, "owner": true }, "cases": [ { "guild": "string", "number": 0, "action": "warn", "target": "string", "targetName": "string", "moderator": "string", "moderatorName": "string", "reason": "string", "status": "pending", "expiresAt": "2019-08-24T14:15:22Z", "logChannel": "string", "logMessage": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "appeals": [ { "id": "string", "guild": "string", "member": "string", "memberName": "string", "caseNumber": 0, "text": "string", "status": "pending", "queueThread": "string", "decidedBy": "string", "decidedAt": "2019-08-24T14:15:22Z", "note": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "banned": true, "appealsOpen": true}